video effects
POST
/kling/v1/videos/effectsBody Parametersapplication/json
callback_url string
Callback URL invoked on task completion
effect_scene* string
scene name
external_task_id string
Custom external task ID for business-side correlation
input object
Reference image (Base64 or reachable URL). Payload shape varies by scene; see scene request bodies
properties image string
single person
images array
two people
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"effect_scene": "pet_lion",
3"input": {
4"image": "https://p4-kling.klingai.com/bs2/upload-ylab-stunt/c54e463c95816d959602f1f2541c62b2.png?x-kcdn-pid=112452"
5}
6}
1curl -X POST "https://api.digislash.com/kling/v1/videos/effects" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"effect_scene": "pet_lion",
6"input": {
7"image": "https://p4-kling.klingai.com/bs2/upload-ylab-stunt/c54e463c95816d959602f1f2541c62b2.png?x-kcdn-pid=112452"
8}
9}'
1▼{
2"code": 0,
3▼"data": {
4"task_id": "task_example_001"
5},
6"message": "success"
7}
